### Method

# Gtk AlertDialog choose

since: 4.10

#### Declaration [src]

    void
    gtk_alert_dialog_choose (
      GtkAlertDialog* self,
      GtkWindow* parent,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

This function shows the alert to the user.

The `callback` will be called when the alert is dismissed. It should call `gtk_alert_dialog_choose_finish()` to obtain the result.

It is ok to pass `NULL` for the callback if the alert does not have more than one button. A simpler API for this case is `gtk_alert_dialog_show()`.

Available since: 4.10

#### Parameters

`parent`

  Type: `GtkWindow`

  The parent `GtkWindow`

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` to cancel the operation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the operation is complete.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.